import 'package:test/test.dart';

import 'package:snaxdart_models/v1.dart';

void main() {
  group('Transaction Model', () {
    test('should create model from constructor', () {
      final transaction = WalletTransaction(
        source: TransactionSource.Snax,
        type: TransactionType.INCOMING,
        blockTime: '2019-04-29T14:38:10.000',
        blockNumber: 1,
        from: 'hellosnax',
        fromAccount: 'snaxhello',
        to: 'awesome',
        quantity: '100.0000 SNAX',
        memo: '',
        globalSequence: 1,
        trxId:
            "b94415c1g547988hff8v8ef054dade3sda5a0cd14dvbb3f542ge84a164c5da33",
      );

      expect(transaction.source, TransactionSource.Snax);
      expect(transaction.type, TransactionType.INCOMING);
      expect(transaction.blockTime, '2019-04-29T14:38:10.000');
      expect(transaction.blockNumber, 1);
      expect(transaction.from, 'hellosnax');
      expect(transaction.fromAccount, 'snaxhello');
      expect(transaction.to, 'awesome');
      expect(transaction.quantity, '100.0000 SNAX');
      expect(transaction.memo, '');
      expect(transaction.globalSequence, 1);
      expect(transaction.trxId,
          'b94415c1g547988hff8v8ef054dade3sda5a0cd14dvbb3f542ge84a164c5da33');
    });
  });
}
